
// credit: https://codepen.io/andreasstorm/pen/ZorYLO
// adapted from sass to less

@import "../../global.less";

.container {
    width: 100%;
    height: 32px;

    display: flex;
    justify-content: space-between;
    align-items: center;

    > label {
        user-select: none;
    }

    &.disabled .design-container > .input-label {
        cursor: default;

        &:before {
            background: darken(@secondaryTextColor, 15%)
        }

        > span {
            background: #ababab
        }
    }

    .design-container {

        > .input-label {
            position: relative;
            display: block;
            width: 40px;
            height: 20px;
            cursor: pointer;
            -webkit-tap-highlight-color: transparent;
            transform: translate3d(0,0,0);

            right: 18px;

            &:before {
                content: "";
                position: relative;
                top: 3px;
                left: 3px;
                width: 34px;
                height: 14px;
                display: block;
                background: @secondaryTextColor;
                border-radius: 8px;
                transition: background .2s ease;
            }

            > span {
                position: absolute;
                top: 0;
                left: 0;
                width: 20px;
                height: 20px;
                display: block;
                background: white;
                border-radius: 10px;
                box-shadow: 0 3px 8px fadeout(@secondaryTextColor,.5);
                transition: all .2s ease;

                &:before {
                    content: "";
                    position: absolute;
                    display: block;
                    margin: -18px;
                    width: 56px;
                    height: 56px;
                    background: fadeout(@primaryColor,.5);
                    border-radius: 50%;
                    transform: scale(0);
                    opacity: 1;
                    pointer-events: none;
                }
            }
        }

        > input[type="checkbox"]:checked + .input-label {
            &:before {
                background: @lightPrimaryColor;
            }

            span {
                background: @primaryColor;
                transform: translateX(20px);
                transition: all .2s cubic-bezier(.8,.4,.3,1.25), background .15s ease;
                box-shadow: 0 3px 8px fadeout(@darkPrimaryColor,.2);

                &:before {
                    transform: scale(1);
                    opacity: 0;
                    transition: all .4s ease;
                }
            }
        }

        
    }
}